package com.qmth.sop.business.sync.been.fxxk;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 纷享销客应用级授权信息
 * @Author: CaoZixuan
 * @Date: 2023-10-10
 */
public class FxxkAppAuthInfo {
    @ApiModelProperty("企业应用访问公司合法性凭证")
    private String corpAccessToken;

    @ApiModelProperty("开放平台派发的公司帐号")
    private String corpId;

    // 企业应用访问公司合法性凭证的过期时间，单位为秒，取值在0~7200之间，在过期时间在0-6600之间请求该接口会返回相同的corpAccessToken，在6600-7200之间请求该接口会返回新的token，如果要续期token，则需要在该时刻进行请求。
    @ApiModelProperty("过期时间")
    private Long expiresIn;

    public String getCorpAccessToken() {
        return corpAccessToken;
    }

    public void setCorpAccessToken(String corpAccessToken) {
        this.corpAccessToken = corpAccessToken;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public Long getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(Long expiresIn) {
        this.expiresIn = expiresIn;
    }
}
